Skip to content

Overview

  • Version: 2.0.0
  • Servers:
    • https://api.xsolla.com/api

Pay Station allows partners to monetize their products by providing users with a convenient UI to pay for in-game purchases in the game store. To set up opening the payment UI, refer to these instructions.

The Pay Station API provides the following groups of calls:

  • Token — includes the API call to generate a token with arbitrary user parameters for further payment processing via the payment UI.
  • Tokenization — includes API calls to securely process payments without opening the payment UI or involving the user.
  • Reports — includes API calls to return data on user transactions, generate reports, and get payouts breakdown by currency.
  • Refund — includes API calls to request full and partial refunds.
  • Testing — includes the API call to test the chargeback process.

You can find detailed information about configuring the payment UI in the Payments solution integration guide.

Note

You can also refer to the Xsolla Base API section in the Postman collection to test API calls used for integration.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/pay-station/
https://api.xsolla.com/merchant/v2/
Operations
Operations
Operations
Operations
Operations

Request

Requests chargeback in the sandbox mode:

  • To access the sandbox mode, pass "mode":"sandbox" when you get the token.

  • Test payment has to be made in the sandbox mode in the same project that you use for testing.

  • Transaction status has to be other than refunded, cancelled.

  • Your role in Publisher Account has to be at least Financial manager. (You can find it in the Company settings > Users section.)

  • Refer to the instruction for more information about this testing scenario.

Note

Refer to the documentation for more information about other testing scenarios.

Security
basicAuth
Path
merchant_idintegerrequired

Merchant ID.

project_idintegerrequired

Project ID.

transaction_idintegerrequired

Transaction ID.

Bodyapplication/jsonrequired
object or null(empty-body)

For the API call to work correctly, the request body must be empty.

curl -i -X POST \
  -u <username>:<password> \
  'https://xsolla.redocly.app/_mock/api/pay-station/merchants/{merchant_id}/projects/{project_id}/payments/{transaction_id}/chargeback' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

No Content (No error).

Response
No content